Skip to main content
GET
/
hubs
List all hubs for the organization
curl --request GET \
  --url https://api.samsara.com/hubs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAt": "2024-01-15T10:30:00Z",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "West Coast Distribution Center",
      "timeZone": "America/Los_Angeles",
      "updatedAt": "2024-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "hasNextPage": false,
    "endCursor": "YXJyYXljb25uZWN0aW9uOjEwMA=="
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

hubIds
string

A comma-separated list of hub IDs for filtering results.

startTime
string<date-time>

Returns hubs updated after the specified time in UTC

endTime
string<date-time>

Returns hubs updated before the specified time in UTC

after
string

If specified, should be the endCursor from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:100

Maximum number of objects to return. Default and maximum is 100

Required range: x <= 100

Response

OK response.

data
object[]
required

Hub data

pagination
object
required

Pagination information